ALTER TABLE Payment DROP PRIMARY KEY;
ALTER TABLE Payment CHANGE ID paymentId varchar(40);
ALTER TABLE Payment MODIFY COLUMN paymentId varchar(40) NOT NULL UNIQUE;
ALTER TABLE Payment ADD COLUMN id bigint(20) NOT NULL PRIMARY KEY AUTO_INCREMENT;

alter table Payment change column Active OldActive enum('1','0') not null;
alter table Payment change column Internal OldInternal enum('1','0') not null;
alter table Payment change column External OldExternal enum('1','0') not null;

alter table Payment add column Active tinyint(1) not null after OldActive;
alter table Payment add column Internal tinyint(1) not null after OldInternal;
alter table Payment add column External tinyint(1) not null after OldExternal;

update Payment set Active = 1 where OldActive = '1';
update Payment set Active = 0 where OldActive = '0';
update Payment set Internal = 1 where OldInternal = '1';
update Payment set Internal = 0 where OldInternal = '0';
update Payment set External = 1 where OldExternal = '1';
update Payment set External = 0 where OldExternal = '0';

alter table Payment drop column OldActive;
alter table Payment drop column OldInternal;
alter table Payment drop column OldExternal;

ALTER TABLE PaymentParameters CHANGE ID oldId varchar(40);
ALTER TABLE PaymentParameters ADD COLUMN paymentId bigint(20) NOT NULL references Payment.id;

update Payment, PaymentParameters set PaymentParameters.paymentId = Payment.id where Payment.paymentId = PaymentParameters.oldId;
