--
-- Creates Options for Prinetti integration
--

INSERT INTO `Options` (Name, Info, Value) VALUES ('prinetti_target_system_code', 'String value', '');
INSERT INTO `Options` (Name, Info, Value) VALUES ('prinetti_source_system_code', 'String value', '');
INSERT INTO `Options` (Name, Info, Value) VALUES ('prinetti_echannel_code', 'String value', '');
INSERT INTO `Options` (Name, Info, Value) VALUES ('prinetti_checksum', '16 character wide hex array, the least significant characters are ignored.', '');
INSERT INTO `Options` (Name, Info, Value) VALUES ('prinetti_message_version', 'E.g. 1.0', '');
INSERT INTO `Options` (Name, Info, Value) VALUES ('prinetti_test_indicator', 'String value', '');
INSERT INTO `Options` (Name, Info, Value) VALUES ('prinetti_activated','Prinetti is activated Yes/No (1/0)', '0');


--
-- Creates table PrinettiTemplate
--

CREATE TABLE PrinettiTemplate (
  id bigint (20) primary key auto_increment,
  name varchar (50) binary NOT NULL unique
) TYPE=INNODB;


--
-- Table structure for table `PrinettiTemplateSetting`
--

CREATE TABLE PrinettiTemplateSetting (
  id bigint (20) primary key auto_increment,
  templateId bigint (20) NOT NULL references PrinettiTemplate.id,
  name varchar (50) NOT NULL,
  value text,
  unique key (templateId, name)
) TYPE=INNODB;
