alter table Answer add column customerId bigint(20) references Customer(id) after collectionId;
alter table Answer add column orderId bigint(20) references Ordr(id) after customerId;

update Answer set customerId = collectionId where typeId = 0;
update Answer set orderId = collectionId where typeId = 1;

alter table Answer drop index collectionId;
alter table Answer drop index collectionId_2;
alter table Answer drop column collectionId;

create unique index customerIdIndex on Answer(customerId, questionId);
create unique index orderIdIndex on Answer(orderId, questionVersionId);

alter table Customer modify id bigint(20) auto_increment;
alter table Ordr modify id bigint(20) auto_increment;

drop table AnswerCollection;
