--
-- Creates a table for the Validator class hierarchy
--

create table QuestionValidator (
	id bigint(20) auto_increment primary key,
	discriminator varchar(64) not null,
	enabled tinyint(1) not null,
	maxLength int(11),
	minLength int(11),
	questionId bigint(20) not null references Question.id,
	whitelist text
);
create index QuestionValidatorFKIndex on QuestionValidator(questionId);
